/**
 * 
 * Copyright 2013 Paul Scherrer Institute. All rights reserved.
 * 
 * This code is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 * 
 * This code is distributed in the hope that it will be useful, but without any
 * warranty; without even the implied warranty of merchantability or fitness for
 * a particular purpose. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this code. If not, see <http://www.gnu.org/licenses/>.
 * 
 */
package ch.psi.zmq.imagej;

import javax.swing.JFrame;
import javax.swing.JLabel;
import java.awt.GridLayout;
import java.util.Map;
import javax.swing.SwingConstants;

/**
 * @author ebner
 *
 */
@SuppressWarnings("serial")
public class HeaderInfo extends JFrame {

	private JLabel lblHeader;
	
	/**
	 * Create the panel.
	 */
	public HeaderInfo() {
		getContentPane().setLayout(new GridLayout(0, 1, 0, 0));
		
		lblHeader = new JLabel("Header ...");
		lblHeader.setVerticalAlignment(SwingConstants.TOP);
		getContentPane().add(lblHeader);

	}
	
	public void setText(Map<String,Object> m){
		StringBuilder b = new StringBuilder();
		b.append("<html>");
		for(String k : m.keySet()){
			b.append(k);
			b.append(" ");
			b.append(m.get(k));
			b.append("<br/>");
		}
		b.append("</html>");
		lblHeader.setText(b.toString());
		this.pack();
	}

}
